%define htmldir %_var/www/html/addon-modules
%define svnrev 6497

# Speed-up build process
AutoReqprov: off
%define _verify_elf_method skip
%define _strip_method none

Name: gosa
Version: 2.5.11
Release: alt1.svn.%svnrev

Summary: Web Based LDAP Administration Program
License: GPL
Group: Networking/WWW

Url: http://gosa.gonicus.de
Packager: Vladimir V Kamarzin <vvk@altlinux.ru>
BuildArch: noarch

Source0: %name-%version.tar
Source2: %name.apache.conf
Source4: gosa-core.schema
Source5: %name.control

%description
GOsa is a combination of system-administrator and end-user web
interface, designed to handle LDAP based setups.
Provided is access to posix, shadow, samba, proxy, fax, and kerberos
accounts. It is able to manage the postfix/cyrus server combination
and can write user adapted sieve scripts.

%package common
Group: Networking/WWW
Summary: gosa common stuff
Requires: fping smbldap-tools perl-Crypt-SmbHash smarty

%description common
%summary

%package apache
Group: Networking/WWW
Summary: apache1 configs for gosa
Requires: %name-common = %version-%release, apache

%description apache
%summary

%package apache2
Group: Networking/WWW
Summary: apache2 configs for gosa
Requires: %name-common = %version-%release, apache2

%description apache2
%summary

%package php4
Group: Networking/WWW
Summary: package for install all php dependencies for gosa (php4)
Requires: %name-common = %version-%release
# Missing in ALT
#Requires: php-mhash, php-cups
Requires: php-engine php-ldap php-imap php-mysql php-gd2 php-snmp
Requires: php-mbstring php-imagick php-libs

%description php4
%summary

%package php5
Group: Networking/WWW
Summary: package for install all php dependencies for gosa (php5)
Requires: %name-common = %version-%release
Requires: php-engine php5-ldap php5-imap php5-mysql php5-gd2
Requires: php5-mbstring php5-libs php5-mhash php5-snmp
#Requires: php5-imagick

%description php5
%summary

%package schema
Group: Networking/WWW
Summary: Schema Definitions for the GOSA package
Requires: openldap-servers, openldap-clients

%description schema
Contains the Schema definition files for the GOSA admin package.

%package user-manual-en
Group: Networking/WWW
Summary: English online user-manual for GOSA package
Requires: %name-common = %version-%release

%description user-manual-en
English online user-manual page for GOSA package

%package user-manual-de
Group: Networking/WWW
Summary: German localized online user-manual for GOSA package
Requires: %name-common = %version-%release

%description user-manual-de
German localized online user-manual page for GOSA package

%package user-manual-fr
Group: Networking/WWW
Summary: French localized online user-manual for GOSA package
Requires: %name-common = %version-%release

%description user-manual-fr
French localized online user-manual page for GOSA package

%package user-manual-nl
Group: Networking/WWW
Summary: Dutch localized online user-manual for GOSA package
Requires: %name-common = %version-%release

%description user-manual-nl
Dutch localized online user-manual page for GOSA package

%prep
%setup

%build
%install
# Create files for temporary stuff /* Really we need it? */
#for i in compile config cache; do \
#	mkdir -p %buildroot%_var/spool/%name/$i ; \
#done
install -dm1770 %buildroot%_var/spool/%name

# Cleanup lyx warnings
find . -name WARNINGS -delete

# Cleanup latex shit
find . -name labels.pl -delete

# Cleanup guide
rm -rf doc/guide/user/*/lyx-source

# Cleanup user-manual dirs
for i in admin devel; do \
       rm -rf doc/guide/$i ; \
done

sed -i -e 's#"CONFIG_TEMPLATE_DIR", "../contrib/"#"CONFIG_TEMPLATE_DIR", "%_defaultdocdir/%name-common-%version/contrib/"#g' include/functions.inc

# php
mkdir -p %buildroot%htmldir/%name
DIRS="ihtml plugins html include locale doc setup"
for i in $DIRS; do \
  cp -r $i %buildroot%htmldir/%name ; \
done

# binary
install -pDm0755 bin/mkntpasswd %buildroot%_bindir/mkntpasswd

# configs
install -dm0750 %buildroot%_sysconfdir/%name/
mv -f %buildroot%htmldir/%name/plugins/personal/mail/sieve-*.txt %buildroot/%_sysconfdir/%name

install -pD -m0644 %SOURCE2 %buildroot%_sysconfdir/httpd/conf/addon-modules.d/%name.conf
install -pD -m0644 %SOURCE2 %buildroot%_sysconfdir/httpd2/conf/addon.d/%name.conf

# shema
install -dm0755 %buildroot%_sysconfdir/openldap/schema/%name
mv contrib/openldap/*.schema %buildroot%_sysconfdir/openldap/schema/%name
install -pDm0644 %SOURCE4 %buildroot%_sysconfdir/openldap/schema/%name/%name-core.schema

# control file
install -pDm0755 %SOURCE5 %buildroot%_controldir/%name

%pre common
# dump facility state before upgrading package
if [ $1 -eq 2 ]; then
        %_sbindir/control-dump %name
fi

%post common
# restore facility state after upgrading package
if [ $1 -eq 2 ]; then
        %_sbindir/control-restore %name
fi

%post apache
# set facility at first package install
if [ $1 -eq 1 ]; then
        %_sbindir/control %name apache
fi
%_initdir/httpd reload

%postun apache
%_initdir/httpd reload

%post apache2
# set facility at first package install
if [ $1 -eq 1 ]; then
        %_sbindir/control %name apache2
fi
%_initdir/httpd2 reload

%postun apache2
%_initdir/httpd2 reload

%files common
%config %_controldir/*
%dir %htmldir/%name
%htmldir/%name/*
%_bindir/mkntpasswd
%dir %attr(1770,root,root) %_spooldir/%name
%dir %attr(0750,root,root) %_sysconfdir/%name
%_sysconfdir/%name/*
%doc AUTHORS TODO README* Changelog INSTALL FAQ contrib

%files apache
%config(noreplace) %_sysconfdir/httpd/conf/addon-modules.d/%name.conf

%files apache2
%config(noreplace) %_sysconfdir/httpd2/conf/addon.d/%name.conf

%files php4

%files php5

%files schema
%dir %_sysconfdir/openldap/schema/%name
%_sysconfdir/openldap/schema/%name/*

%files user-manual-en
%htmldir/%name/doc/guide/user/en

%files user-manual-de
%htmldir/%name/doc/guide/user/de

%files user-manual-fr
%htmldir/%name/doc/guide/user/fr

%files user-manual-nl
%htmldir/%name/doc/guide/user/nl

%changelog
* Tue May 29 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 2.5.11-alt1.svn.6497
- 2.5.11 release

* Fri May 25 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 2.5.11-alt1.svn.6479
- Updated to svn revision 6479 of stable branch '2.5'

* Fri May 25 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 2.5.11-alt1.svn.6471
- Updated to svn revision 6471 of stable branch '2.5'
- See git changelog for details,
  http://git.altlinux.org/people/vvk/packages/?p=gosa.git

* Wed Dec 21 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 2.4-alt1
- Initial build for Sisyphus
